﻿--
-- Script was generated by Devart dbForge Studio 2022 for MySQL, Version 9.1.21.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 30/7/2023 16:34:08
-- Server version: 10.4.24
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE epayco;

--
-- Drop table `tokens`
--
DROP TABLE IF EXISTS tokens;

--
-- Drop table `transactions`
--
DROP TABLE IF EXISTS transactions;

--
-- Drop table `users`
--
DROP TABLE IF EXISTS users;

--
-- Drop table `wallets`
--
DROP TABLE IF EXISTS wallets;

--
-- Set default database
--
USE epayco;

--
-- Create table `wallets`
--
CREATE TABLE wallets (
  id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  balance decimal(19, 2) NOT NULL,
  user_id int(11) NOT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL,
  deleted_at timestamp NULL DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 16384,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `users`
--
CREATE TABLE users (
  id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  email varchar(100) DEFAULT NULL,
  celular varchar(10) DEFAULT NULL,
  documento varchar(10) DEFAULT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL,
  deleted_at timestamp NULL DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 16384,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `transactions`
--
CREATE TABLE transactions (
  id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  accountnumber varchar(10) NOT NULL,
  amount decimal(19, 2) NOT NULL,
  type varchar(30) NOT NULL,
  confirmed tinyint(1) DEFAULT NULL,
  wallet_id int(11) NOT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL,
  deleted_at timestamp NULL DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `tokens`
--
CREATE TABLE tokens (
  id int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  token varchar(100) DEFAULT NULL,
  transaction_id int(11) NOT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL,
  deleted_at timestamp NULL DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

-- 
-- Dumping data for table wallets
--
INSERT INTO wallets VALUES
(3, 200.00, 4, '2023-07-30 20:01:07', '2023-07-30 20:01:29', NULL);

-- 
-- Dumping data for table users
--
INSERT INTO users VALUES
(4, 'Adrian', 'adrian_dutra@hotmail.com', '1134230565', '28190949', '2023-07-30 20:01:07', '2023-07-30 20:01:07', NULL);

-- 
-- Dumping data for table transactions
--
-- Table epayco.transactions does not contain any data (it is empty)

-- 
-- Dumping data for table tokens
--
-- Table epayco.tokens does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;